Variable: getPublishedDashboardTokenInfoResponseSchema
constgetPublishedDashboardTokenInfoResponseSchema:ZodObject<{authorization_details:ZodOptional<ZodArray<ZodObject<{grant_rules:ZodOptional<ZodArray<ZodObject<{permission_set:ZodOptional<…>; },$strip>>>;resource_legacy_acl_path:ZodOptional<ZodString>;resource_name:ZodOptional<ZodString>;type:ZodOptional<ZodString>; },$strip>>>;custom_claim:ZodOptional<ZodString>;scope:ZodOptional<ZodString>; },$strip>
getPublishedDashboardTokenInfoResponse fields
Section titled “getPublishedDashboardTokenInfoResponse fields”authorization_details(optional): Authorization constraints for accessing the published dashboard. Currently includesworkspace_rule_setand could be enriched withunity_catalog_privilegesbefore oAuth token generation.custom_claim(optional): Custom claim generated from external_value and external_viewer_id. Format:urn:aibi:external_data:<external_value>:<external_viewer_id>:<dashboard_id>scope(optional): Scope defining access permissions.